@import "variables";

.edit-note-container {
    position: absolute;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    background-color: rgba(0,0,0,.6);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;

    .note {
        min-height: 30%;
        max-height: 90%;
        width: 30%;
        border-radius: 10px;
        position: relative;

        @media (max-width: 699px) {
            width: 80%;
        }

        &.dark {
            border: 1px solid $border-dark;
            background-color: $bg-dark;
        }

        &.light {
            border: 1px solid $border-light;
            background-color: $bg-light;
        }

        .note-image-container {
            position: relative;
            max-height: 40rem;
            .resizable {
                max-height: 40rem;
                overflow-y: scroll;
            }
            @media (max-width: 699px) {
                max-height: 20rem;
                .resizable {
                    max-height: 20rem;
                }
            }
            .image-delete-icon {
                position: absolute;
                right: 2rem;
                bottom: 2rem;
                border-radius: 5px;
                height: 4rem;
                width: 4rem;
                padding: 10px;
                cursor: pointer;

                @media (max-width: 699px) {
                    height: 4rem;
                    width: 4rem;
                    padding: 8px;
                }

                &.dark {
                    background-color: $highlight-secondary-dark;
                }
                &.light {
                    background-color: $highlight-secondary-light;
                }
            }
            .note-image {
                width: 100% !important;
                border-radius: 10px 10px 0 0;
            }
        }

        .progress-bar {
            width: 100%;
            border-radius: 10px 10px 0 0;
            background-color: #000;
            height: 10px;
            .filled-bar {
                height: 100%;
                background-color: blue;
            }
        }

        .pin-icon {
            position: absolute;
            top: 0;
            right: 0;
            cursor: pointer;
            height: 4rem;
            width: 4rem;
            padding: 7px;
            border-radius: 100px;

            @media (max-width: 699px) {
                height: 4rem;
                width: 4rem;
                padding: 5px;
            }

            &.dark {
                background-color: $highlight-secondary-dark;
            }

            &.light {
                background-color: $highlight-secondary-light;
            }
        }

        &-title, &-content {
            padding: 1.5rem;
            input, textarea {
                width: 100%;
                background-color: transparent;
                color: inherit;
                border: none;
                outline: none;
                padding: 1rem;
            }
        }

        .note-title > input {
            font-size: 2rem;
        }
        .note-content > textarea {
            font-size: 1.8rem;
            max-height: 40rem;
            resize: none;

            @media (max-width: 699px) {
                max-height: 20rem;
            }
        }

        .note-actions {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 1rem;

            .note-actions-icons {
                display: flex;
                align-items: center;
            }

            &-icon {
                margin: 0 1rem;
                height: 3rem;
                width: 3rem;
                cursor: pointer;
                padding: 7px;
                border-radius: 100px;

                @media (max-width: 699px) {
                    height: 4rem;
                    width: 4rem;
                    padding: 5px;
                    margin: 0 2rem;
                }

                &.dark {
                    &:hover {
                        background-color: $highlight-secondary-dark;
                    }
                }

                &.light {
                    &:hover {
                        background-color: $highlight-secondary-light;
                    }
                }
            }

            &-buttons {
                display: flex;
                align-items: center;
                button {
                    background-color: transparent;
                    border: none;
                    outline: none;
                    border-radius: 5px;
                    padding: 1rem;
                    cursor: pointer;
                }
    
                &.dark {
                    button {
                        color: $font-dark;
                        &:hover {
                            background-color: $highlight-secondary-dark;
                        }
                    }
                }
    
                &.light {
                    button {
                        color: $font-light;
                        background-color: $highlight-secondary-light;
                    }
                }
            }
        }
    }
}